ITEMS = {
	[0] = {
		name = ""
	}, 

	[1] = {
		name = "apple", 
		article = "an", 
		desc = "No visible worms.", 
 		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/minecraft2/items/apple.png", 
		func = eat,
	}, 

	[2] = {
		name = "torch",
		plural = "torches", 
		desc = "Allows you to see clearly in the dark.",
		r = 191, g = 213, b = 128,
		action = "hold", 
		slot = 8, 
		fimage = "gfx/weiwen/torch.png",
		eimage = "gfx/sprites/flare3.bmp",
		escalex = 3, 
		escaley = 3, 
		blend = 1, 
		static = 1, 
		func = equip,
	}, 

	[3] = {
		name = "hourglass", 
		plural = "hourglasses", 
		article = "an", 
		r = 180, g = 180, b = 180, 
		action = {"wear","check time"}, 
		slot = 8, 
		func = {equip, function(id) msg2(id,ITEMS[3].desc) end},
	},
	
	[4] = {
		name = "rawbeef", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(30,40) end, 
		fimage = "gfx/minecraft2/items/rawbeef.png", 
		func = eat,
	}, 

	[5] = {
		name = "rawchicken", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/minecraft2/items/rawchicken.png", 
		func = eat,
	},
	[6] = {
		name = "wheat", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.",  
		fimage = "gfx/minecraft2/items/wheat.png", 
	},
	
	[7] = {
		name = "iron potion", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.",  
		fimage = "gfx/minecraft2/items/ironpotion.png", 
	},

	[8] = {
		name = "gold potion", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.",  
		fimage = "gfx/minecraft2/items/goldpotion.png", 
	},

	[9] = {
		name = "diamond potion", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.",  
		fimage = "gfx/minecraft2/items/diamondpotion.png", 
	},
	
	[10] = {
		name = "bread", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/minecraft2/items/bread.png", 
		func = eat,
	},

	
	[11] = {
		name = "cake", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(90,100) end, 
		fimage = "gfx/minecraft2/items/cake.png", 
		func = eat,
	},

	
	[12] = {
		name = "rawbeef", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(30,40) end, 
		fimage = "gfx/minecraft2/items/rawbeef.png", 
		func = eat,
	},

	
	[13] = {
		name = "sugar", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(2,5) end, 
		fimage = "gfx/minecraft2/items/sugar.png", 
		func = eat,
	},

	
	[14] = {
		name = "egg", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(2,5) end, 
		fimage = "gfx/minecraft2/items/egg.png", 
		func = eat,
	},

	
	[15] = {
		name = "milk", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(2,5) end, 
		fimage = "gfx/minecraft2/items/milk.png", 
		func = eat,
	},

	
	[16] = {
		name = "cocoa", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(2,5) end, 
		fimage = "gfx/minecraft2/items/cocoa_beans.png", 
		func = eat,
	},	
	
	[17] = {
		name = "cookie", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/minecraft2/items/cookie.png", 
		func = eat,
	},		
	
	[18] = {
		name = "key", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.",  
		fimage = "gfx/minecraft2/items/sugar.png", 
	},

	[19] = {
		name = "picture",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/picture.png", 
	},

	[20] = {
		name = "picture 2",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/picture2.png", 
	},

	[21] = {
		name = "picture 3",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/picture3.png", 
	},

	[22] = {
		name = "picture 4",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/picture4.png", 
	},

	[23] = {
		name = "rawporkchop", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		food = function() return math.random(25,50) end, 
		fimage = "gfx/minecraft2/items/raw_porkchop.png", 
		func = eat,
	},

	[24] = {
		name = "carrot", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/carrot.png", 
		food = function() return math.random(5,20) end, 
		func = eat,		
	},

	[25] = {
		name = "melon", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/melon.png", 
		food = function() return math.random(5,20) end, 
		func = eat,
	},

	[26] = {
		name = "potato", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/potato.png", 
		food = function() return math.random(5,20) end, 
		func = eat,
	},

	[27] = {
		name = "sugar cane", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/sugarcane.png", 
		food = function() return math.random(1,2) end, 
		func = eat,
	},

	[28] = {
		name = "pumpkin", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/pumpkin.png", 
		food = function() return math.random(5,15) end, 
		func = eat,
	},
	
	[29] = {
		name = "pumpkin pie", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/pumpkinpie.png", 
		food = function() return math.random(50,90) end, 
		func = eat,
	},	

	[30] = {
		name = "cocoa plant", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		fimage = "gfx/minecraft2/items/cocoaplant.png", 
		food = function() return math.random(1,2) end, 
		func = eat,
	},

	[31] = {
		name = "slimeball", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "use", 
		fimage = "gfx/minecraft2/items/slimeball.png", 
	},

	[32] = {
		name = "exp potion", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.",  
		fimage = "gfx/minecraft2/items/exppotion.png", 
		action = "use", 
		func = use,
	},

	[33] = {
		name = "tree", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		fimage = "gfx/minecraft2/items/tree.png", 
	},

	[34] = {
		name = "tree 2", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		fimage = "gfx/minecraft2/items/foliage_3.png", 
	},

	[35] = {
		name = "bed", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		fimage = "gfx/minecraft2/items/bed.png", 
	},

	[36] = {
		name = "umbrella a", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		fimage = "gfx/minecraft2/items/umbrella1.png", 
	},

	[37] = {
		name = "umbrella b", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		fimage = "gfx/minecraft2/items/umbrella2.png", 
	},	

	[100] = {
		name = "ember rune", 
		desc = "You may only use it once.", 
		r = 128, g = 0, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a fireball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 128 0;")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 0 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[101] = {
		name = "water gun rune", 
		desc = "You may only use it once.", 
		r = 128, g = 128, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a waterball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 255")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 128 128 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[102] = {
		name = "healing rune", 
		desc = "You may only use it once.", 
		r = 128, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a healing rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 32, -30, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 5 5 128 255 255")
			radiussound("materials/glass2.wav", player(id,"x"), player(id,"y"))
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[103] = {
		name = "thundershock rune", 
		desc = "An electrical attack that may paralyze the foe.",  
		r = 255, g = 255, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a thundershock rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 0")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 255 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[104] = {
		name = "flamethrower rune", 
		desc = "You may only use it once.", 
		r = 185, g = 25, b = 25, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a firewave rune.", player(id,"x"), player(id,"y"))
			parse("equip " .. id .. " 46")
			parse("setweapon " .. id .. " 46")
			timer(1000, "parse", "strip " .. id .. " 46")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[105] = {
		name = "teleport rune", 
		desc = "You may only use it once.", 
		r = 255, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id, itemslot, itemid, equip)
			radiusmsg(player(id,"name") .. " is casting a teleport rune.", player(id,"x"), player(id,"y"))
			timer(1500, "ITEMFUNCTIONS.teleport", id .. ';' .. player(id, 'health') .. ';' .. (equip and -itemslot or itemslot))
		end,equip}, 
		teleport = function(p)
			local id, health, itemslot = unpack(p:split(';'))
			id, health, itemslot = tonumber(id), tonumber(health), tonumber(itemslot)
			if player(id, 'health') == health then
				radiusmsg(player(id,"name") .. " completed casting a teleport rune.", player(id,"x"), player(id,"y"))
				parse("effect \"colorsmoke\" " .. player(id,"x") .. " " .. player(id,"y") .. " 5 5 255 255 255")
				local pos = PLAYERS[id].Spawn[1] .. " " .. PLAYERS[id].Spawn[2]
				parse("effect \"colorsmoke\" " .. pos .. " 5 5 255 255 255")
				parse("setpos " .. id .. " " .. pos)
				radiussound("materials/glass2.wav", player(id,"x"), player(id,"y"))
				destroyitem(id, math.abs(itemslot), itemslot < 0)
			else
				radiusmsg(player(id,"name") .. " failed to cast a teleport rune.", player(id,"x"), player(id,"y"))
			end
		end
	},

	[106] = {
		name = "poison fog rune", 
		desc = "You may only use it once.", 
		r = 128, g = 128, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id, itemslot, itemid, equip)
			radiusmsg(player(id,"name") .. " casts a poison fog rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 96 128 128 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[200] = {
		name = "leather",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/leather.png", 
	},

	[201] = {
		name = "wood",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/d9.jpg", 
	},

	[202] = {
		name = "iron",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/iron_ingot_h.png", 
	},

	[203] = {
		name = "gold",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/gold_ingot_h.png", 
	},

	[204] = {
		name = "diamond",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/diamond_h.png", 
	},

	[205] = {
		name = "iron ore",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/ironore.png", 
	},

	[206] = {
		name = "gold ore",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/goldore.png", 
	},

	[207] = {
		name = "diamond ore",
		desc = "Used to furnish your house.",
		fimage = "gfx/minecraft2/items/diamondore.png", 
	},

	[218] = {
		name = "white table",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/table.png", 
		r = 255, g = 255, b = 255,
	},

	[219] = {
		name = "brown table",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/table.png", 
		r = 169, g = 106, b = 44,
	},

	[220] = {
		name = "pikachu doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/25.png", 
	},

	[221] = {
		name = "bulbasaur doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/1.png", 
	},

	[222] = {
		name = "charmander doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/4.png", 
	},

	[223] = {
		name = "squirtle doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/7.png", 
	},
	
	[230] = {
		name = "coin", 
		desc = "Heads or tails?", 
		r = 255, g = 200, b = 0, 
		action = "flip", 
		fimage = "gfx/weiwen/circle.png", 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " flips a coin. " .. ((math.random(2) == 1) and "Heads!" or "Tails!"), player(id,"x"), player(id,"y"))
		end,
	}, 
	
	[231] = {
		name = "dice", 
		desc = "1d6.",
		r = 255, g = 192, b = 128, 
		action = "roll", 
		fimage = "gfx/weiwen/table.png", 
		fscalex = 0.5, 
		fscaley = 0.5, 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " rolls a " .. math.random(1, 6) .. ".", player(id,"x"), playerw(id,"y"))
		end,
	}, 

	[300] = {
		name = "leather helmet", 
		desc = "Protect yourself from headshots!", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.05, 
		speed = -1,
		func = equip,
	},

	[301] = {
		name = "leather torso", 
		desc = "A few holes here and there, but still usable.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.1, 
		speed = -1,
		func = equip,
	},

	[302] = {
		name = "leather legs", 
		plural = "pairs of leather legs", 
		article = "a pair of", 
		desc = "A few holes here and there, but still usable.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.07, 
		speed = 1,
		func = equip,
	},

	[303] = {
		name = "leather boots", 
		plural = "pairs of leather boots", 
		article = "a pair of", 
		desc = "Waterproof.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		speed = 2, 
		func = equip,
	},

	[304] = {
		name = "wooden sword", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/minecraft2/lua/sword.png", 
		fimage = "gfx/minecraft2/lua/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.25, 
		speed = -2, 
		func = equip,
	},

	[305] = {
		name = "wooden shield", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.2, 
		speed = -2, 
		func = equip,
	},

	[306] = {
		name = "wooden club", 
		desc = "Now you can be a caveman too!", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/club.png", 
		fimage = "gfx/weiwen/club.png", 
		offsety = 14,
		equip = 78,
		atk = 0.35, 
		speed = -2, 
		func = equip,
	},

	[307] = {
		name = "wooden crossbow", 
		desc = "It requires you to hold it with two hands.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.1, 
		speed = -2, 
		func = equip,
	},

	[310] = {
		name = "iron helmet", 
		r = 128, g = 128, b = 128, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.1, 
		speed = -1, 
		func = equip,
		level = 10, 
		},

	[311] = {
		name = "iron armour", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.2, 
		speed = -1, 
		func = equip,
		level = 10,
		},

	[312] = {
		name = "iron leggings", 
		plural = "pairs of iron leggings", 
		article = "a pair of", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.15, 
		speed = 1, 
		func = equip,
		level = 10,
		},

	[313] = {
		name = "iron boots", 
		plural = "pairs of iron boots", 
		article = "a pair of", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.1, 
		speed = 1, 
		func = equip,
		level = 10,
		},

	[314] = {
		name = "iron sword", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.5, 
		speed = -1,  
		func = equip,
		level = 10,
		},

	[315] = {
		name = "iron shield", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.4, 
		speed = -1,  
		func = equip,
		level = 10,
		},

	[316] = {
		name = "iron crossbow", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.15, 
		speed = -1,  
		func = equip,
		level = 10,
		},

	[320] = {
		name = "gold helmet", 
		r = 255, g = 215, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.15, 
		speed = -1, 
		func = equip,
		level = 15,
		},

	[321] = {
		name = "gold armour", 
		r = 255, g = 215, b = 0,  
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.4, 
		speed = -1, 
		func = equip,
		level = 15,
		},

	[322] = {
		name = "gold leggings", 
		plural = "pairs of bronze leggings", 
		article = "a pair of", 
		r = 255, g = 215, b = 0,  
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.2, 
		speed = 2, 
		func = equip,
		level = 15,
		},

	[323] = {
		name = "gold boots", 
		plural = "pairs of bronze boots", 
		article = "a pair of", 
		r = 255, g = 215, b = 0,  
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.15, 
		speed = 2, 
		func = equip,
		level = 15,
		},

	[324] = {
		name = "gold sword", 
		r = 255, g = 215, b = 0,  
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.7, 
		speed = -1, 
		func = equip,
		level = 15,
		},

	[325] = {
		name = "gold shield", 
		r = 255, g = 215, b = 0,  
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.6, 
		speed = -1,  
		func = equip,
		level = 15,
		},

	[326] = {
		name = "gold crossbow", 
		r = 255, g = 215, b = 0,  
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.3, 
		speed = -1,  
		func = equip,
		level = 15,
		},

		[327] = {
		name = "diamond helmet", 
		r = 185, g = 242, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.3, 
		speed = -2, 
		func = equip,
		level = 25,
		},

	[328] = {
		name = "diamond armour", 
		r = 185, g = 242, b = 255,  
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.9, 
		speed = -2, 
		func = equip,
		level = 25,
		},

	[329] = {
		name = "diamond leggings", 
		plural = "pairs of bronze leggings", 
		article = "a pair of", 
		r = 185, g = 242, b = 255,  
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.4, 
		speed = 3, 
		func = equip,
		level = 25,
		},

	[330] = {
		name = "diamond boots", 
		plural = "pairs of bronze boots", 
		article = "a pair of", 
		r = 185, g = 242, b = 255,  
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.3, 
		speed = 3, 
		func = equip,
		level = 25,
		},

	[331] = {
		name = "diamond sword", 
		r = 185, g = 242, b = 255,  
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 1.0, 
		speed = -2, 
		func = equip,
		level = 25,
		},

	[332] = {
		name = "diamond shield", 
		r = 185, g = 242, b = 255,  
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.9, 
		speed = -2,  
		func = equip,
		level = 25,
		},

	[333] = {
		name = "diamond crossbow", 
		r = 185, g = 242, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.5, 
		speed = -2,  
		func = equip,
		level = 25,		
		},
		
	[334] = {
		name = "iron crossbow +1", 
		r = 108, g = 108, b = 108,
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 		
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.17, 
		speed = -1,  
		func = equip,
		level = 10,	
		},
		
	[335] = {
		name = "iron crossbow +2", 
		r = 88, g = 88, b = 88,
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 		
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.20, 
		speed = -1,  
		func = equip,
		level = 10, 	
		},

	[336] = {
		name = "iron crossbow +3", 
		r = 78, g = 78, b = 78,
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 		
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.24, 
		speed = -1,  
		func = equip,
		level = 10, 	
		},	

	[337] = {
		name = "iron crossbow +4", 
		r = 68, g = 68, b = 68,
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 		
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.29, 
		speed = -1,  
		func = equip,
		level = 10, 	
		},	

	[338] = {
		name = "iron crossbow +5", 
		r = 58, g = 58, b = 58,
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 		
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.35, 
		speed = -1,  
		func = equip,
		level = 10, 	
		},			
		
	[344] = {
		name = "gold crossbow +1", 
		r = 195, g = 165, b = 0,  
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.35, 
		speed = -1,  
		func = equip,
		level = 15,
		},
		
	[345] = {
		name = "gold crossbow +2", 
		r = 155, g = 125, b = 0,  
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.41, 
		speed = -1,  
		func = equip,
		level = 15,
		},	
		
	[346] = {
		name = "gold crossbow +3", 
		r = 125, g = 85, b = 0,  
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.47, 
		speed = -1,  
		func = equip,
		level = 15,
		},	
		
	[347] = {
		name = "gold crossbow +4", 
		r =105, g = 65, b = 0,  
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.54, 
		speed = -1,  
		func = equip,
		level = 15,
		},	
		
	[348] = {
		name = "gold crossbow +5", 
		r = 95, g = 55, b = 0,  
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.62, 
		speed = -1,  
		func = equip,
		level = 15,
		},			

	[354] = {
		name = "diamond crossbow +1", 
		r = 135, g = 192, b = 205, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.6, 
		speed = -1,  
		func = equip,
		level = 25,
		},

	[355] = {
		name = "diamond crossbow +2", 
		r = 85, g = 152, b = 165, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.7, 
		speed = -1,  
		func = equip,
		level = 25,
		},	

	[356] = {
		name = "diamond crossbow +3", 
		r = 55, g = 122, b = 135, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.8, 
		speed = -1,  
		func = equip,
		level = 25,
		},	

	[357] = {
		name = "diamond crossbow +4", 
		r = 35, g = 102, b = 115, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.9, 
		speed = -1,  
		func = equip,
		level = 25,
		},	

	[358] = {
		name = "diamond crossbow +5", 
		r = 25, g = 92, b = 105, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 1.0, 
		speed = -1,  
		func = equip,
		level = 25,
		},			
		
	[359] = {
		name = "king helmet", 
		r = 255, g = 200, b = 000, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/minecraft2/lua/king_helm.png", 
		fimage = "gfx/minecraft2/lua/king_helm.png", 
		def = 0.6, 
		speed = 0, 
		func = equip,
		level = 1,
		},

	[360] = {
		name = "king armour", 
		r = 255, g = 200, b = 000, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/minecraft2/lua/king_armor.png", 
		fimage = "gfx/minecraft2/lua/king_farmour.png", 
		def = 2, 
		speed = -1, 
		func = equip,
		level = 1,
		},

	[361] = {
		name = "king leggings", 
		plural = "pairs of bronze leggings", 
		article = "a pair of", 
		r = 255, g = 200, b = 000, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/minecraft2/lua/king_legs.png", 
		def = 0.8, 
		speed = 1, 
		func = equip,
		level = 1,
		},

	[362] = {
		name = "king boots", 
		plural = "pairs of bronze boots", 
		article = "a pair of", 
		r = 255, g = 200, b = 000, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/minecraft2/lua/king_boots.png",  
		def = 0.6, 
		speed = 1, 
		func = equip,
		level = 1,
		},

	[363] = {
		name = "king crossbow", 
		r = 255, g = 200, b = 000, 
		action = "equip", 
		slot = 3, 
		twohand = true,
		eimage = "gfx/minecraft2/lua/king_bow.png", 
		fimage = "gfx/minecraft2/lua/king_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 1.0, 
		speed = -1,  
		func = equip,
		level = 1,		
		},		
		
		
	
	[400] = {
		name = "brown horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 185, g = 242, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[401] = {
		name = "white horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[402] = {
		name = "grey horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 175, g = 177, b = 186, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[403] = {
		name = "black horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 50, g = 50, b = 50, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[404] = {
		name = "seahorse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 32, g = 121, b = 155, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png",  
		fscalex = 1.2, 
		fscaley = 0.8, 
		escalex = 1.2, 
		escaley = 0.8, 
		offsety = 20, 
		speed = 25, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},
	
	[1337] = {
		name = 'money', 
		article = 'some', 
		r = 0, g = 150, b = 0, 
		fimage = 'gfx/weiwen/money.png', 
	}
}
ITEMFUNCTIONS = {}
ITEMFUNCTIONS.teleport = ITEMS[105].teleport

for k, v in pairs(ITEMS) do
	v.article = v.article or "a"
	v.plural = v.plural or v.name .. "s"
	v.action = type(v.action) == "table" and v.action or {v.action}
	v.func = type(v.func) == "table" and v.func or {v.func}
end